<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: Clankasse                                     # ||
|| # Version: 1.00.0                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://www.bs-fusion.de                       # ||
|| # File: infusion.php                                      # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
//if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");    

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."clancash_panel/locale/".LANGUAGE.".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."clancash_panel/locale/".LANGUAGE.".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."clancash_panel/locale/English.php";
}

// Infusion general information

$inf_title = $locale['ccp000'];
$inf_description = $locale['ccp001'];
$inf_version = $locale['ccp002'];
$inf_developer = "RedDragon";
$inf_email = "reddragon@efc-funclan.de";
$inf_weburl = "http://www.bs-fusion.de";


$inf_folder = "clancash_panel"; // The folder in which the infusion resides.
$inf_admin_image = "../".INFUSIONS."$inf_folder/images/admin.gif"; // Leave blank to use the default image.
$inf_admin_panel = "ccp_settings_panel.php"; // The admin panel filename if required.


$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = ""; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.


$inf_newtables = 5; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_insertdbrows = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "ccp_buchungen (
  id int(11) NOT NULL auto_increment,
  user_id int(6) default NULL,
  valuta float NOT NULL,
  kat_id int(6) NOT NULL,
  tag int(2) NOT NULL,
  monat int(2) NOT NULL,
  jahr int(4) NOT NULL,
  comment varchar(100) NOT NULL,
  geloescht int(1) default '0',
  konto_id int(15) default NULL,
  PRIMARY KEY  (id)
)";

$inf_newtable_[2] = "ccp_budget (
  id int(11) NOT NULL auto_increment,
  anzahl int(6) NOT NULL,
  betrag float NOT NULL default '0',
  zweck varchar(54) default NULL,
  art int(1) NOT NULL default '1',
  bmonat float default NULL,
  PRIMARY KEY  (id)
)";

$inf_newtable_[3] = "ccp_kategorien (
  id int(11) NOT NULL auto_increment,
  kat_klartext varchar(40) NOT NULL,
  PRIMARY KEY  (id)
)";

$inf_newtable_[4] = "ccp_konten (
  id int(11) NOT NULL auto_increment,
  konto_id int(15) NOT NULL,
  name varchar(15) NOT NULL,
  inhaber varchar(40) NOT NULL,
  blz int(10) NOT NULL,
  iban varchar(34) default NULL,  
  swift varchar(11) default NULL,  
  bank varchar(40) NOT NULL,  
  zweck varchar(54) NOT NULL,
  PRIMARY KEY  (id)
)";

$inf_newtable_[5] = "ccp_settings (
  id int(11) NOT NULL auto_increment,
  cashadmin_groupid int(6) NOT NULL,
  member_groupid int(6) NOT NULL,
  zeilen int(2) NOT NULL default '15',
  waehrung varchar(5) default 'EUR',
  member_show_all BOOL NOT NULL,
  PRIMARY KEY  (id)
)";

/*$inf_altertable_[1] = "ccp_settings ADD
    member_show_all BOOL NOT NULL
";*/

$inf_droptable_[1] = "ccp_buchungen";
$inf_droptable_[2] = "ccp_budget";
$inf_droptable_[3] = "ccp_kategorien";
$inf_droptable_[4] = "ccp_konten";
$inf_droptable_[5] = "ccp_settings";

$inf_insertdbrow_[1] = "";

?>